Package org.apache.sis.metadata.iso.acquisition

## Class DefaultPlatformPass

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultPlatformPass

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `PlatformPass`

      public class DefaultPlatformPass
      extends ISOMetadata
      implements PlatformPass

  Identification of collection coverage. The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MI_PlatformPass` `└─identifier……` Unique name of the pass. `└─code…………` Alphanumeric value identifying an instance in the namespace.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPlatformPass()` | Constructs an initially empty platform pass.
    `DefaultPlatformPass​(PlatformPass object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultPlatformPass` | `castOrCopy​(PlatformPass object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Geometry` | `getExtent()` | Returns the area covered by the pass.
    `Identifier` | `getIdentifier()` | Returns the unique name of the pass.
    `Collection<Event>` | `getRelatedEvents()` | Returns the occurrence of one or more events for a pass.
    `void` | `setExtent​(Geometry newValue)` | Sets the area covered by the pass.
    `void` | `setIdentifier​(Identifier newValue)` | Sets the unique name of the pass.
    `void` | `setRelatedEvents​(Collection<? extends Event> newValues)` | Sets the occurrence of one or more events for a pass.

    - ### Methods inherited from class ISOMetadata

      `getIdentifierMap, getIdentifiers, getStandard, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPlatformPass

          public DefaultPlatformPass()

      Constructs an initially empty platform pass.

    - #### DefaultPlatformPass

          public DefaultPlatformPass​(PlatformPass object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(PlatformPass)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultPlatformPass castOrCopy​(PlatformPass object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultPlatformPass`, then it is returned unchanged.
      - Otherwise a new `DefaultPlatformPass` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getIdentifier

          public Identifier getIdentifier()

      Returns the unique name of the pass.
      Specified by:
        `getIdentifier` in interface `PlatformPass`
      Overrides:
        `getIdentifier` in class `ISOMetadata`
      Returns:
        unique name of the pass, or `null`.

    - #### setIdentifier

          public void setIdentifier​(Identifier newValue)

      Sets the unique name of the pass.
      Overrides:
        `setIdentifier` in class `ISOMetadata`
      Parameters:
        `newValue` - the new identifier value.

    - #### getExtent

          public Geometry getExtent()

      Returns the area covered by the pass. `null` if unspecified.
      Specified by:
        `getExtent` in interface `PlatformPass`
      Returns:
        area covered by the pass, or `null`.

    - #### setExtent

          public void setExtent​(Geometry newValue)

      Sets the area covered by the pass.
      Parameters:
        `newValue` - the new extent value.

    - #### getRelatedEvents

          public Collection<Event> getRelatedEvents()

      Returns the occurrence of one or more events for a pass.
      Specified by:
        `getRelatedEvents` in interface `PlatformPass`
      Returns:
        occurrence of one or more events for a pass.

    - #### setRelatedEvents

          public void setRelatedEvents​(Collection<? extends Event> newValues)

      Sets the occurrence of one or more events for a pass.
      Parameters:
        `newValues` - the new related events values.